Create one maintenance window. Ops Manager turns off alert notifications for certain alert types for a period of time you specify to allow maintenance to occur.
Required Roles
You can successfully call this endpoint with any of the following assigned roles:
Request
Base URL: https://{OPSMANAGER-HOST}:{PORT}/api/public/v1.0
POST /groups/{PROJECT-ID}/maintenanceWindows/Request Path Parameters
Name | Type | Description |
|---|---|---|
| string | Unique identifier of the project. |
Request Query Parameters
Name | Type | Necessity | Description | Default |
|---|---|---|---|---|
pretty | boolean | Optional | Flag indicating whether the response body is in a prettyprint format. |
|
envelope | boolean | Optional | Flag that indicates whether to wrap the response in an envelope. Some API clients cannot access the HTTP response headers or status code. To remediate this, set envelope=true in the query. For endpoints that return one result, the response body includes:
|
|
Request Body Parameters
Body Parameter | Type | Necessity | Description |
|---|---|---|---|
| array of strings | Required | Alert types to silence during maintenance window. For example: |
| string | Required | Timestamp in ISO 8601 date and time format in UTC when the maintenance window starts. |
| string | Required | Timestamp in ISO 8601 date and time format in UTC when the maintenance window ends. |
| string | Optional | Description of the maintenance window. |
Response
Name | Type | Description |
|---|---|---|
| string | Unique identifier of the maintenance window. |
| string | Unique identifier of the project to which this maintenance window applies. |
| string | Timestamp in ISO 8601 date and time format in UTC when the maintenance window was created. |
| string | Timestamp in ISO 8601 date and time format in UTC when the maintenance window was last updated. |
| string | Timestamp in ISO 8601 date and time format in UTC when the maintenance window starts. |
| string | Timestamp in ISO 8601 date and time format in UTC when the maintenance window ends. |
| array of strings | Alert types to silence during maintenance window. For example: |
| string | Description of the maintenance window. This field appears only if you provide a description of the maintenance window. |
Example Request
curl --user "{PUBLIC-KEY}:{PRIVATE-KEY}" --digest \ --header "Accept: application/json" \ --header "Content-Type: application/json" \ --include \ --request POST "https://<OpsManagerHost>:<Port>/api/public/v1.0/groups/{PROJECT-ID}/maintenanceWindows" \ --data ' { "startDate" :"2015-10-23T22:00:00Z", "endDate" : "2015-10-23T23:30:00Z", "alertTypeNames" : [ "REPLICA_SET" ], "description" : "new description" }'Example Response
Response Header
HTTP/1.1 401 UnauthorizedContent-Type: application/json;charset=ISO-8859-1Date: {dateInUnixFormat}WWW-Authenticate: Digest realm="MMS Public API", domain="", nonce="{nonce}", algorithm=MD5, op="auth", stale=falseContent-Length: {requestLengthInBytes}Connection: keep-aliveHTTP/1.1 200 OKVary: Accept-EncodingContent-Type: application/jsonStrict-Transport-Security: max-age=300Date: {dateInUnixFormat}Connection: keep-aliveContent-Length: {requestLengthInBytes}X-MongoDB-Service-Version: gitHash={gitHash}; versionString={ApplicationVersion}Response Body
{ "alertTypeNames" : [ "REPLICA_SET" ], "created" : "2015-10-22T20:49:35Z", "description" : "my description", "endDate" : "2015-10-23T23:30:00Z", "groupId" : "{PROJECT-ID}", "id" : "56294bdfd4c643eef5176b73", "startDate" : "2015-10-23T22:00:00Z", "updated" : "2015-10-22T20:49:35Z", "links" : []}